summaryrefslogtreecommitdiffstats
path: root/run-tests.sh
diff options
context:
space:
mode:
authorEmmanuel Dreyfus <manu@netbsd.org>2014-09-22 17:56:57 +0200
committerHarshavardhana <harsha@harshavardhana.net>2014-10-01 08:48:46 -0700
commit192d5e6654cf4b3ebcfd6b36c0693955d0c41868 (patch)
treee5c13aa4b19a3d0894b0f3dff15fe398dbc6b5a0 /run-tests.sh
parent443e48abf9b373bb1a8c56d016aad3b974554b80 (diff)
Regression test portability: rpmbuild
rpmbuild is required, check for its presence. BUG: 1129939 Change-Id: Iae8534bf897a4605620277688a180d6542c1c80b Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org> Reviewed-on: http://review.gluster.org/8810 Tested-by: Gluster Build System <jenkins@build.gluster.com> Reviewed-by: Harshavardhana <harsha@harshavardhana.net> Tested-by: Harshavardhana <harsha@harshavardhana.net>
Diffstat (limited to 'run-tests.sh')
-rwxr-xr-xrun-tests.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/run-tests.sh b/run-tests.sh
index b75ac2c..823814d 100755
--- a/run-tests.sh
+++ b/run-tests.sh
@@ -25,6 +25,12 @@ function check_dependencies()
MISSING="$MISSING mock"
fi
+ # Check for rpmbuild
+ env rpmbuild --version > /dev/null 2>&1
+ if [ $? -ne 0 ]; then
+ MISSING="$MISSING rpmbuild"
+ fi
+
# Check for nfs-utils
env mount.nfs -V > /dev/null 2>&1
if [ $? -ne 0 ]; then